Create access token

This endpoint exchanges the authorization code or a refresh token for an access token. Clients may submit an authorization code to receive a new access and refresh token, or a refresh token to renew access.

Query Params
string
enum
required

Specifies the type of grant.

authorization_code: To get a new token.
refresh_token: To renew existing access.

Allowed:
string

The authorization code received from the authorization request (required for 'authorization_code' grant type).

string

The refresh token received during the initial token exchange (required for 'refresh_token' grant type).

string

The same redirect_uri that was used in the authorization request (required for 'authorization_code' grant type).

Responses

400

Invalid request, such as missing parameters or invalid grant type.

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json